// language_undefines.h

//***********************************************************************************************************//
//***********************************************************************************************************//
//                                                                                                           //
// BytecodeInterpreter.h, BytecodeTargetedCompiler.h, language_defines.h, language_undefines.h, utils.h:     //
// These files contain a bytecode interpreter and a compiler converting a C-like program into bytecode.      //
//                                                                                                           //
// Copyright 2009 by Florian Knigstein, mail@virgusta.eu                                                    //
//                                                                                                           //
//      Commercial use of this code without my permission is prohibited.                                     //
//      You may use this program free of charge for non-commercial purposes provided you agree to the        //
//      following License:                                                                                   //
//                                                                                                           //
//      The Original Work is provided under this License on an "AS IS" BASIS and WITHOUT WARRANTY,           //
//      either express or implied, including, without limitation, the warranties of                          //
//      non-infringement, merchantability or fitness for a particular purpose. THE ENTIRE RISK AS TO THE     //
//      QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER OF WARRANTY constitutes an essential part  //
//      of this License. No license to the Original Work is granted by this License except under this        //
//      disclaimer.                                                                                          //
//                                                                                                           //
//      Limitation of Liability. Under no circumstances and under no legal theory, whether in tort           //
//      (including negligence), contract, or otherwise, shall the Licensor be liable to anyone for any       //
//      indirect, special, incidental, or consequential damages of any character arising as a result of      //
//      this License or the use of the Original Work including, without limitation, damages for loss of      //
//      goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages    //
//      or losses. This limitation of liability shall not apply to the extent applicable law prohibits such  //
//      limitation.                                                                                          //
//                                                                                                           //
//***********************************************************************************************************//
//***********************************************************************************************************//

// ***** ATTENTION *****
// This code is not well-tested. There may be several bugs.


#undef bool
#undef uint8
#undef int8
#undef uint16
#undef int16
#undef uint32
#undef int32
#undef uint64
#undef int64
#undef real

#undef BOOL
#undef UINT8
#undef UINT16
#undef UINT32
#undef UINT64
#undef INT8
#undef INT16
#undef INT32
#undef INT64
#undef REAL

#undef begin
#undef end
#undef if
#undef else
#undef for
#undef dofor
#undef do
#undef while
#undef do_begin
#undef end_while
#undef break
#undef continue
#undef _nop_
#undef TRUE
#undef FALSE
#undef goto
#undef label
#undef cond
#undef array
#undef struct
#undef pointer
#undef cpointer
#undef declare_struct
#undef struct_elem
#undef end_struct
#undef declare_void_function
#undef declare_function
#undef declare_extern_void_function
#undef declare_extern_function
#undef params
#undef function
#undef void_function
#undef return
#undef param
#undef local
#undef var
#undef const
#undef data_initialization
#undef data_end_marker
#undef sizeof
#undef cast

#undef BEGIN_GLOBAL_SCOPE
#undef END_GLOBAL_SCOPE
